---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:37:48Z"
    creationTimestamp: "2025-10-27T11:38:57Z"
    labels:
      ingress.openshift.io/canary: canary_controller
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:ingress.openshift.io/canary: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:37:48Z"
    name: ingress-canary
    namespace: openshift-ingress-canary
    resourceVersion: "49226"
    uid: 14df5cf4-4fe6-498f-acda-bda953b07a39
  subsets:
  - addresses:
    - ip: 10.128.0.59
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: ingress-canary-n768z
        namespace: openshift-ingress-canary
        uid: bf88afc5-ade1-4a7e-9ef8-484af4ab975e
    - ip: 10.129.0.68
      nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: ingress-canary-qjslj
        namespace: openshift-ingress-canary
        uid: 90323e5a-b123-4407-bf14-0491eaa1b63c
    - ip: 10.130.0.16
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: ingress-canary-sc5f6
        namespace: openshift-ingress-canary
        uid: 5d3457ef-c705-457a-9973-273884cca8fe
    ports:
    - name: 8443-tcp
      port: 8443
      protocol: TCP
    - name: 8888-tcp
      port: 8888
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "2219784"
